function out = quadratique_exacte(in, lambda)
%
%       function out = quadratique_exacte(in, lambda)
%
%
%  in : image en entree
%  lambda : parametre de regularisation
%  out : image en sortie. Elle est une solution exacte de
%        out  = argmin_u ||grad u||^2 + lambda || u - in ||^2
%

[sx sy] = size(in);
tmp = ((0 : 1/sx : 1-1/sx)')*ones(1,sy) ;
cos_x = cos( 6.2831852 * tmp ) ;
tmp = ones(sx,1) *  (0 : 1/sy : 1-1/sy) ;
cos_y = cos( 6.2831852 * tmp ) ;

fft_in = fft2(in);
fft_out = lambda * fft_in ./ ( lambda+4-2*(cos_x+cos_y) );
out = real(ifft2(fft_out));

